Kernel module version mismatched

Questioni legate al Kernel Linux: configurazione, installazione, ottimizzazione, patch

Kernel module version mismatched

Messaggioda Void_Zero » 06/08/2005, 11:31

salve a tutti! Avrei un problemuccio nato con l'installazione dei nuovi driver ATI (il tormentone!)

COmincio con il log di output dell'installazione:

[Message] Kernel Module : Trying to install a precompiled kernel module
[Message] Kernel Module : Precompiled Kernel module version mismatched
[Message] Kernel Module : Found kernel module build environment, generating kernel module now

Error:
Kernel includes at /lib/modules/2.4.27-p4/build/include do not match current kernel. They are versioned as "2.4.27" instead of "2.4.27-p4". You might need to adjust your symlinks
- /usr/include
- /usr/src/linux

Ecco qui. Allora, il kernel "2.4.27-p4" è quello che ho compilato io (ovviamente -p4 è il flavour che gli ho aggiunto con --append-to-version) partendo dal source del 2.4.27. Inoltre /usr/include non è un link simbolico, e /usr/src/linux punta al source del 2.4.27 (kernel-source-2.4.27). Infine, /lib/modules/2.4.27-p4/build punta a /usr/src/kernel-source-2.4.27.

La domanda: potrei semplicemente togliere i flavour e ricompilare il kernel come semplice 2.4.27, ma dato che sono un pazzo :s1: è possibile "fregare" l'installer cambiando il nome della versione dei moduli che cerca o qualcosa del genere? Infatti vorrei mantenere i vari flavour che ho appeso ai nomi dei kernel che uso.

Ringrazio in anticipo degli aiuti e chiedo scusa per la perdita di tempo che vi arreco :sboing: Mi affido alla vostra sapienza! Ciao e grazie!
:s6: Debian Paradise :s6: "...in omnia pericula, tasta testicula..."
Void_Zero
Newbie
Newbie
 
Messaggi: 7
Iscritto il: 14/07/2005, 9:12

Re: Kernel module version mismatched

Messaggioda Ldonesty » 07/08/2005, 19:57

Non so se sia una soluzione, ne se funzioni, pero puoi provare a modificare il file Makefile del kernel aggiungendo "-p4" al nome e riavviando la compilazione (in modo standard, con il solo make) e poi riprovare l'installer dei driver ati.
Il reggiseno e' uno strumento democratico perche' separa la destra dalla sinistra, solleva le masse e attira i popoli.
Avatar utente
Ldonesty
Hero Member
Hero Member
 
Messaggi: 763
Iscritto il: 22/12/2004, 17:31
Località: Un po' a Gaeta, un po' a Signa


Torna a Kernel

Chi c’è in linea

Visitano il forum: Nessuno e 5 ospiti

cron